Subject: Re: [PATCH 0/3] Subject: [PATCH 0/3] iio: adc: Add Axiado SARADC driver

From: Andy Shevchenko <[email-masked]>
Date: Wed, 3 Jun 2026 17:19:54 +0300

On Thu, May 28, 2026 at 01:10:22AM -0700, Petar Stepanovic wrote:
> This series adds support for the SAR ADC controller found on Axiado
> AX3000 and AX3005 SoCs.
> 
> The controller is a 10-bit ADC. AX3000 has sixteen input channels and
> AX3005 has eight input channels. The driver uses SoC match data to
> select the number of available channels for each compatible.
> 
> The driver supports single-shot voltage reads through the IIO subsystem
> and uses the reference voltage regulator for scale calculation.

Always explain:
- why do we need a brand new driver?
- where can we read the datasheet (Link)?

No need to resend for that right now, just reply here
(also do not forget to include in a new version).

-- 
With Best Regards,
Andy Shevchenko